main/java/model/User.java
package model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

public class User implements Serializable {
  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;

  // 引数なしのコンストラクタ
  public User() {

  }

  // 全てのデータを取得するコンストラクタ作成
  public User(int id, String loginId, String name, Date birthDate, String password, boolean isAdmin,
      Timestamp createDate, Timestamp updateDate) {
    super();
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdmin;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  // アクセサの作成
  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }

}

main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;
/**
 * Servlet implementation class UserAddServlet
 */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserAddServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    /**** ログインの有無確認 start ****/
    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    // ログイン情報がない場合
    if (user == null) {
      // セッションがなかったらログイン画面へ
      response.sendRedirect("LoginServlet");
      return;
    }
    // ログイン成功時（あった場合）
    // ログイン成功時はuserAdd.jspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
    dispatcher.forward(request, response);
  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */



  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // submit(登録ボタン)が押された際にdoPostが起動
    // 文字化け防止
    request.setCharacterEncoding("UTF-8");
    // フォームの値を受け取る。ログインIDとパスワードと確認用のパスワードと誕生日とユーザー名を取得
    // jspのformで指定したname="○○"と合わせる
    String loginId = request.getParameter("user-loginid");
    String name = request.getParameter("user-name");
    String birthDate = request.getParameter("birth-date");
    String password = request.getParameter("password");
    String passwordCon = request.getParameter("password-confirm");
    UserDao userDao = new UserDao();
    boolean existsLoginId = userDao.findByLoginId(loginId);
    // 名前と誕生日とパスワードが未入力、パスワードが一致していない場合の処
    if (loginId.equals("") || name.equals("") || birthDate.equals("") || password.equals("")
        || !password.equals(passwordCon) || existsLoginId) {
      // リクエストスコープにエラーメッセージをセット
      request.setAttribute("errMsg", "入力された内容は正しくありません");
      // 入力したログインIDと名前と誕生日を画面上に表示
      request.setAttribute("inputloginId", loginId);
      request.setAttribute("inputname", name);
      request.setAttribute("inputbirthDate", birthDate);
      // ログインjspにフォワード("errMsg"と"loginIdとnameとbirthDateを保存")
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
      dispatcher.forward(request, response);
      return;
    } // 新規登録成功時
    Date _birthDate = Date.valueOf(birthDate);
    // パスワードを暗号化
    String encordedPassword = PasswordEncorder.encordPassword(password);
    // もし問題がなく登録出来る場合
    // データ型に型変換を行う。
    // ユーザー一覧画面へリダイレクト
    userDao.insert(loginId, name, _birthDate, encordedPassword);
    response.sendRedirect("UserListServlet");

  }

}

main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      // ログインチェック
      // "userInfo"の情報を取得
      // ログインに失敗した場合"LoginServlet"へリダイレクトする。最後はreturnで返す。
      // ログインチェック
      HttpSession session = request.getSession();
      User logCheck = (User) session.getAttribute("userInfo");
      if (logCheck == null) {
        // ログイン画面へリダイレクト
        response.sendRedirect("LoginServlet");
        return;
      }
      // idをgetParameterメソッドで取得
      int id = Integer.valueOf(request.getParameter("id"));
      // UserDaoクラスのfindIdメソッドを呼び出す
      UserDao userDao = new UserDao();
      User user = userDao.findById(id);
      request.setAttribute("user", user);
      // フォワード文でussDetail.jspに遷移
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
      dispatcher.forward(request, response);
      return;
    }



    /**
     * 
     * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
     */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      // submit(更新ボタン)が押された際にdoPostが起動
      // 文字化け防止
      request.setCharacterEncoding("UTF-8");
      // フォームの値(id)を受け取る。
      // jspのformで指定したname="○○"と合わせる
      int id = Integer.valueOf(request.getParameter("user-id"));
      // ユーザー一覧画面へリダイレクト
      UserDao dao = new UserDao();
      dao.delete(id);
      response.sendRedirect("UserListServlet");
      return;
	}

}

main/java/controller/UserDetailServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDetailServlet
 */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDetailServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      // ログインチェック
      // "userInfo"の情報を取得
      // セッションスコープを準備する
      // ログインに失敗した場合"LoginServlet"へリダイレクトする。最後はreturnで返す。
      // ログインチェック
      HttpSession session = request.getSession();
      User logCheck = (User) session.getAttribute("userInfo");
      if (logCheck == null) {
        // ログイン画面へリダイレクト
        response.sendRedirect("LoginServlet");
        return;
      }
      // idをgetParameterメソッドで取得
      int id = Integer.valueOf(request.getParameter("id"));
      // UserDaoクラスのfindIdメソッドを呼び出す
      UserDao userDao = new UserDao();
      // IDに紐づく情報を取得
      User user = userDao.findById(id);
      request.setAttribute("user", user);
      // フォワード文でussDetail.jspに遷移
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetail.jsp");
      dispatcher.forward(request, response);
      return;
    }



	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserListServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // ログインチェック
    // "userInfo"の情報を取得
    // ログインに失敗した場合"LoginServlet"へリダイレクトする。最後はreturnで返す。
    // ログインチェック
    HttpSession session = request.getSession();
    Object logCheck = session.getAttribute("userInfo");
    if (logCheck == null) {
      // ログイン画面へリダイレクト
      response.sendRedirect("LoginServlet");
      return;
    }
    // UserDaoクラスのfindAllメソッドを呼び出す。
    UserDao userDao = new UserDao();
    List<User> userList = userDao.findAll();
    // UserDaoクラスのfindAllメソッドの戻り値(userList)をセットする
    request.setAttribute("userList", userList);
    // userList.japにフォワードをする
    // ユーザー一覧画面を表示
    RequestDispatcher dispatchar = request.getRequestDispatcher("WEB-INF/jsp/userList.jsp");
    dispatchar.forward(request, response);

  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // submit(検索ボタン)が押された際にdoPostが起動
    // 文字化け防止
    request.setCharacterEncoding("UTF-8");
    // フォームの値を受け取る。ログインIDと名前と誕生日を取得
    // jspのformで指定したname="○○"と合わせる
    String loginId = request.getParameter("user-loginid");
    String userName = request.getParameter("user-name");
    String startDate = request.getParameter("date-start");
    String endDate = request.getParameter("date-end");
    // UserDaoのserchメソッドを呼び出す。
    UserDao userDao = new UserDao();
    // リクエストスコープにログインIDと名前と誕生日をセット
    request.setAttribute("loginId", loginId);
    request.setAttribute("userName", userName);
    request.setAttribute("startDate", startDate);
    request.setAttribute("endDate", endDate);
    // 誕生日をデータ型に変換
    Date _startDate = null;
    if (!startDate.equals("")) {
      _startDate = Date.valueOf(startDate);
    }
    Date _endDate = null;
    if (!endDate.equals("")) {
      _endDate = Date.valueOf(endDate);
    }
    List<User> userSerch = userDao.serch(loginId, userName, _startDate, _endDate);
    // UserDaoクラスのserchメソッドの戻り値(user)をセットする
    request.setAttribute("userList", userSerch);
    // userList.japにフォワードをする
    // ユーザー一覧画面を表示
    RequestDispatcher dispatchar = request.getRequestDispatcher("WEB-INF/jsp/userList.jsp");
    dispatchar.forward(request, response);

  }

}

main/java/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserUpdateServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

    /**
     * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
      // ログインチェック
      // "userInfo"の情報を取得
      // ログインに失敗した場合"LoginServlet"へリダイレクトする。最後はreturnで返す。
      // ログインチェック
      HttpSession session = request.getSession();
      User logCheck = (User) session.getAttribute("userInfo");
      if (logCheck == null) {
        // ログイン画面へリダイレクト
        response.sendRedirect("LoginServlet");
        return;
      }
      // idをgetParameterメソッドで取得
      int id = Integer.valueOf(request.getParameter("id"));
      // UserDaoクラスのfindIdメソッドを呼び出す
      UserDao userDao = new UserDao();
      User user = userDao.findById(id);
      request.setAttribute("user", user);
      // フォワード文でussDetail.jspに遷移
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
      dispatcher.forward(request, response);
    }

    /**
     * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
      // submit(更新ボタン)が押された際にdoPostが起動
      // 文字化け防止
      request.setCharacterEncoding("UTF-8");
      // フォームの値を受け取る。パスワードと確認用のパスワードと誕生日とユーザー名を取得
      // jspのformで指定したname="○○"と合わせる
      int id = Integer.valueOf(request.getParameter("user-id"));
      String name = request.getParameter("user-name");
      String birthDate = request.getParameter("birth-date");
      String password = request.getParameter("password");
      String passwordCon = request.getParameter("password-confirm");
      // UserDaoのuodateメソッドを呼び出す
      UserDao userDao = new UserDao();
      // String型の誕生日をDate型に戻す。
      Date _birthDate = Date.valueOf(birthDate);
      // 名前空欄またはパスワードが一致していない場合の処理
      if (name.equals("") || !password.equals(passwordCon)) {
        // リクエストスコープにエラーメッセージをセット
        User user = userDao.findById(id);
        user.setName(name);
        user.setBirthDate(Date.valueOf(birthDate));
        request.setAttribute("errMsg", "入力された内容は正しくありません");
        request.setAttribute("user", user);
        // ログインjspにフォワード("errMsg"と"loginIdとnameとbirthDateを保存")
        RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
        dispatcher.forward(request, response);
        return;
      }
      // 誕生日が未入力の場合
      if (birthDate.equals("")) {
        User user = userDao.findById(id);
        user.setName(name);
        user.setBirthDate(null);
        request.setAttribute("errMsg", "入力された内容は正しくありません");
        request.setAttribute("user", user);
        // ログインjspにフォワード("errMsg"と"loginIdとnameとbirthDateを保存")
        RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
        dispatcher.forward(request, response);
        return;
      }
      // パスワードの更新がなかった場合
      if (password.equals("") && passwordCon.equals("")) {
        userDao.updateExcludePassword(id, name, _birthDate);
        // パスワードの更新があった場合
      } else {
        // パスワードの暗号化
        String encordedPassword = PasswordEncorder.encordPassword(password);
        userDao.update(id, name, _birthDate, encordedPassword);
      }
      // UserListServletへリダイレクト
      response.sendRedirect("UserListServlet");
    }

  }

src/main/webapp/WEB-INF/jsp/userAdd.jsp
<!DOCTYPE html>
<html lang="ja">
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%--日付のフォーマットの宣言 --%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>


<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name}
				</span><span class="navbar-text">さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3 mb-5">
			<%--エラーメッセージの処理 --%>
			<c:if test="${errMsg != null}">
				<div class="alert alert-danger" role="alert">${errMsg}</div>
			</div></c:if>
			<%--エラーメッセージの処理終了 --%>
		</div>
		</div>
		<form action="UserAddServlet" method="post">
			<div class="row">
				<div class="col-6 offset-3">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
						
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${inputloginId}">
								
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${inputname}">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${inputbirthDate}">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
		</form>
	</div>
	<div class="row mt-3">
		<div class="col">
			<a href="UserListServlet">戻る</a>
		</div>
	</div>
	</div>
	</div>
	</div>




</body>

</html>

src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%--日付のフォーマットの宣言 --%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ一覧画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name}</span><span
					class="navbar-text">さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>


		<!-- 検索ボックス -->
		<form action="UserListServlet" method = "post">
		<div class="row">
			<div class="col">
				<div class="card">
					<div class="card-body">
						<div class="form-group row">
							<label for="loginId" class="col-2 col-form-label">ログインID</label>
							<div class="col-10">
								<input type="text" name="user-loginid" class="form-control"
									id="loginId" value="${loginId }">
							</div>
						</div>

						<div class="form-group row">
							<label for="userName" class="col-2 col-form-label">ユーザ名</label>
							<div class="col-10">
								<input type="text" name="user-name" class="form-control"
									id="userName" value="${userName}">
							</div>
						</div>

						<div class="form-group row">
							<label for="birthDate" class="col-2 col-form-label">生年月日</label>
							<div class="col-10">
								<div class="row">
									<div class="col-5">
										<input type="date" name="date-start" id="startBirthDate"
											class="form-control" value="${startDate }">
									</div>
									<div class="col-2 text-center">~</div>
									<div class="col-5">
										<input type="date" name="date-end" id="endBirthDate"
											class="form-control" value="${endDate }">
									</div>
								</div>
							</div>
						</div>

						<div class="text-right">
							<button type="submit" class="btn btn-primary form-submit">検索</button>
							</form>
						</div>

					</div>
				</div>
			</div>
		</div>

		<!-- 検索結果一覧 -->
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var="user" items="${userList}">
						<tr>
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td><fmt:formatDate value="${user.birthDate}"
									pattern="yyyy年MM月dd日" /></td>
							<!-- ログインボタンの表示制御を行う -->
							<td class="float-right"><a class="btn btn-primary"
								href="UserDetailServlet?id=${user.id}">詳細</a> 
								<c:if test="${user.loginId == userInfo.loginId || userInfo.admin}">
								<a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
								</c:if>
								<c:if test="${userInfo.admin}">
								<a class="btn btn-danger"
										href="UserDeleteServlet?id=${user.id}">削除</a>
								</c:if>
							</td>

						</tr>
					</c:forEach>
						</tr>





					</tbody>
				</table>

			</div>
		</div>
	</div>

</body>

</html>